#!/bin/bash
################################################################################
# Intended use: Simple shell script to create certs (RSA or EC)
#
# Notes: This script support Linux Bash shell script only
# Install Bash from https://www.gnu.org/software/bash/
#
# Copyright (C) 2015 - 2025, VGISC Dev Team <dev@vgisc.com>
################################################################################

filepath=`readlink -f $0`
basedir=`dirname $filepath`

SCRIPT_DIR=`dirname $filepath`
FLAG_EC=0
DOMAIN="vgisc.com"

OPENSSL_BIN="$basedir/bin/openssl"

echo "========================================================================="
echo "Generating Root CA and Sub CA..."
echo "========================================================================="
echo ""

mkdir -p $basedir/$DOMAIN
rm -rf $basedir/$DOMAIN/*

echo "Cleaning all current data..."
${SCRIPT_DIR}/build-3.3.2.sh clean

echo "Generating Root CA..."
${SCRIPT_DIR}/build-3.3.2.sh rsa gen_ca

echo "Generating Sub CA..."
${SCRIPT_DIR}/build-3.3.2.sh rsa gen_subca

	
cp -rf $basedir/root-ca/root-ca.crt $basedir/$DOMAIN/root-ca.$DOMAIN.crt
cp -rf $basedir/root-ca/private/root-ca.key $basedir/$DOMAIN/root-ca.$DOMAIN.key
cp -rf $basedir/sub-ca/sub-ca.crt $basedir/$DOMAIN/sub-ca.$DOMAIN.crt
cp -rf $basedir/sub-ca/private/sub-ca.key $basedir/$DOMAIN/sub-ca.$DOMAIN.key
cat $basedir/root-ca/root-ca.crt $basedir/sub-ca/sub-ca.crt > $basedir/$DOMAIN/ca.$DOMAIN.crt

echo "All CA key/cert files have saved to ./$DOMAIN/"
echo ""
    
echo "All Done."
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################
