#!/bin/bash
################################################################################
# Intended use: Simple shell script to create certs (RSA or EC)
#
# Notes: This script support Linux Bash shell script only
# Install Bash from https://www.gnu.org/software/bash/
#
# Copyright (C) 2015 - 2023, VGISC Dev Team <dev@vgisc.com>
################################################################################

filepath=`readlink -f $0`
SCRIPT_DIR=`dirname $filepath`
basedir=$SCRIPT_DIR/..
FLAG_EC=0

DEV_SRC_DIR="/vgisc/6t/CT129/Dev"
OPENSSL_BIN="$DEV_SRC_DIR/BML/src/rls/3.3.2/rootfs/opt/vgisc/usr/linux-x86_64/bin/openssl"
OPENSSL_LIB="$DEV_SRC_DIR/BML/src/rls/3.3.2/rootfs/opt/vgisc/usr/linux-x86_64/lib"
TEST_OPENSSL_BIN="$OPENSSL_BIN"
MKC4B_B64_BIN=util_mkc4b_encrypt_encode_file

export LD_LIBRARY_PATH="$OPENSSL_LIB:$LD_LIBRARY_PATH"

CLIENT_DIR="$basedir/client"

i=1
NUM=20

echo ""
echo "========================================================================="
echo "Encrypt and encode private keys for TLS client to $CLIENT_DIR/..."
echo "========================================================================="

while [ $i -le $NUM ]
do	
	echo ""
    echo "Encrypting and encoding private keys for client \"client-$i.vgisc.com\"..."
    echo ""
    
    ${MKC4B_B64_BIN} -e $CLIENT_DIR/client-$i.vgisc.com.key \
    $CLIENT_DIR/client-$i.vgisc.com.mkc4b.b64
    
	i=`expr $i + 1`
done


echo ""
echo "All ecrypted files have saved to ./$CLIENT_DIR/"
ls -la $CLIENT_DIR/
echo ""
    
echo "All Done."
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################