#!/bin/bash
################################################################################
# Intended use: Simple shell script to create certs (RSA or EC)
#
# Notes: This script support Linux Bash shell script only
# Install Bash from https://www.gnu.org/software/bash/
#
# Copyright (C) 2015 - 2023, VGISC Dev Team <dev@vgisc.com>
################################################################################

filepath=`readlink -f $0`
SCRIPT_DIR=`dirname $filepath`
basedir=$SCRIPT_DIR/..
FLAG_EC=0

DEV_SRC_DIR="/vgisc/6t/CT129/Dev"
OPENSSL_BIN="$DEV_SRC_DIR/BML/src/rls/3.3.2/rootfs/opt/vgisc/usr/linux-x86_64/bin/openssl"
OPENSSL_LIB="$DEV_SRC_DIR/BML/src/rls/3.3.2/rootfs/opt/vgisc/usr/linux-x86_64/lib"
TEST_OPENSSL_BIN="$OPENSSL_BIN"
COMMON_ARGS="-batch"
export LD_LIBRARY_PATH="$OPENSSL_LIB:$LD_LIBRARY_PATH"

echo ""
echo "========================================================================="
echo "Generating RSA Root CA and Sub CA..."
echo "========================================================================="
echo ""

echo "Cleaning all current data..."
${SCRIPT_DIR}/build-3.3.2.sh clean

echo "Generating Root CA..."
${SCRIPT_DIR}/build-3.3.2.sh rsa gen_ca

echo "Generating Sub CA..."
${SCRIPT_DIR}/build-3.3.2.sh rsa gen_subca
    
echo "All Done."
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################