#!/bin/bash
################################################################################
# Intended use: Simple shell script to create certs (RSA or EC)
#
# Notes: This script support Linux Bash shell script only
# Install Bash from https://www.gnu.org/software/bash/
#
# Copyright (C) 2015 - 2023, VGISC Dev Team <dev@vgisc.com>
################################################################################

filepath=`readlink -f $0`
SCRIPT_DIR=`dirname $filepath`
basedir=$SCRIPT_DIR/..
FLAG_EC=0

DEV_SRC_DIR="/vgisc/6t/CT129/Dev"
OPENSSL_BIN="$DEV_SRC_DIR/BML/src/rls/3.3.2/rootfs/opt/vgisc/usr/linux-x86_64/bin/openssl"
OPENSSL_LIB="$DEV_SRC_DIR/BML/src/rls/3.3.2/rootfs/opt/vgisc/usr/linux-x86_64/lib"
TEST_OPENSSL_BIN="$OPENSSL_BIN"
COMMON_ARGS="-batch"
export LD_LIBRARY_PATH="$OPENSSL_LIB:$LD_LIBRARY_PATH"

CLIENT_DIR="$basedir/client"

i=1
NUM=20

echo ""
echo "========================================================================="
echo "Generating $NUM RSA certs/keys for TLS client to $CLIENT_DIR/..."
echo "========================================================================="

while [ $i -le $NUM ]
do	
	echo ""
    echo "Generating cert/key for client \"client-$i.vgisc.com\"..."
    echo ""
    
    ./build-3.3.2.sh rsa client client-$i.vgisc.com
	i=`expr $i + 1`
done


echo ""
echo "All plain text keys/certs files have saved to ./$CLIENT_DIR/"
ls -la $CLIENT_DIR/
echo ""
    
echo "All Done."
################################################################################
#					BASH SCRIPT ON LINUX/UNIX - END
################################################################################
